Subject: Re: [ANNOUNCE] Git v2.31.0

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Tue, 16 Mar 2021 09:51:08 +0100

On Tue, Mar 16 2021, Mike Hommey wrote:

> On Mon, Mar 15, 2021 at 12:30:15PM -0700, Junio C Hamano wrote:
>>  * Two new ways to feed configuration variable-value pairs via
>>    environment variables have been introduced, and the way
>>    GIT_CONFIG_PARAMETERS encodes variable/value pairs has been tweaked
>>    to make it more robust.
>
> For the record, this is backwards incompatible with git-programs in
> $PATH that were expecting the old format (e.g. git-cinnabar releases
> using an older version of libgit.a).

What isn't noted there is that we're still parsing the old format in
some cases, see f9dbb64fad (config: parse more robust format in
GIT_CONFIG_PARAMETERS, 2021-01-12).

But I suspect you mean that you have your own parser that expects the
old format only, I didn't find which way it was by grepping
git-cinnabar's sources.